using Godot;

public partial class GameCamera : Camera2D
{
	/// <summary>
	/// World position of the flashlight
	/// </summary>
	public Vector2 FlashlightPosition;

	public override void _Input(InputEvent @event)
	{
		base._Input(@event);

		if (@event is InputEventMouseMotion eventMouseMotion)
		{
			FlashlightPosition = eventMouseMotion.Position - Constants.HalfScreenSize + Position;
		}
	}
}
